From: "Brian Dolbec" <dolsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-portage/gentoolkit/
Date: Mon, 6 Jun 2016 15:54:28 +0000 (UTC) [thread overview]
Message-ID: <1465228050.f2d1584e5dfa37f19d024322fd23592cb15f5819.dolsen@gentoo> (raw)
commit: f2d1584e5dfa37f19d024322fd23592cb15f5819
Author: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 6 15:47:30 2016 +0000
Commit: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Mon Jun 6 15:47:30 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2d1584e
app-portage/gentoolkit: Version bump
Package-Manager: portage-2.3.0_rc1_p19
app-portage/gentoolkit/Manifest | 1 +
app-portage/gentoolkit/gentoolkit-0.3.1.1.ebuild | 73 ++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/app-portage/gentoolkit/Manifest b/app-portage/gentoolkit/Manifest
index 74bfe1c..12ef323 100644
--- a/app-portage/gentoolkit/Manifest
+++ b/app-portage/gentoolkit/Manifest
@@ -1,3 +1,4 @@
DIST gentoolkit-0.3.0.8.tar.gz 3192497 SHA256 0338dee7c295c32b60a84e529b764d2bc61536fa3aca021cd5a75c6e534864a6 SHA512 50efd701d0d056740bcf7c7cdce652ae7c9e2786f799f5d30946e752b8aa735489d3e0dc5c7664a5810a0f22cec05b9bc7ccc10292b07ac4dd0777658651f72d WHIRLPOOL 5a2455e50d4e0f4df8abab5b81deb6bb00e078dfed1687ae046ce97a0427eafea2d3de9b83ac6de8155d207653d001c6684ac92226fa2320515c6e14c8fea6e0
DIST gentoolkit-0.3.0.9.tar.gz 3194703 SHA256 c660d150dfccbaea6f291fb7fc2659c8e0e38eaebe6e68f92dee728c8c7e320d SHA512 75b2d15b2b9ed08055840b56b239ed5d63838a10e8d31ec3ed8822cf1d3ef32841609763433736e17f93a5fdd293ccbda4a3dfa0f007241321aec3333bcde847 WHIRLPOOL 5e9dc038c161361eb2dd8f0cd17e8efaa41183a281d6fcf620c1631c6da661673d085c60572424cd48504222c29613473591f8dd276792ab96ba3cfda88f1fe1
+DIST gentoolkit-0.3.1.1.tar.gz 3198269 SHA256 e3743ac526a8b9dd78af8ebc88ccf26cf487f2c31483b283b0e5df36bab881ce SHA512 24736713761ead819da8f65148d7f8cae5e12414cbffafa1bcf0ce4f59587b6c589fed02edb48f054f24f015e4fe151333ebbba4ccfa9b1164a547717bee7a74 WHIRLPOOL c33a468ca8fb01e4e236cd104abc10a7a570fc6a3372314407ee341672202ed2cef70e2647743ba4301277f01201a5999e6251167d66f7b1ffae5eb0872a5375
DIST gentoolkit-0.3.1.tar.gz 3195571 SHA256 ec494d81c8d24e1a69347464733459c0dba0e4c1881d7d5bdc34f7c770f9e3a6 SHA512 6593bc3cad4b9716b9b126bd17fd6662b9aad05b89941297a23deca4651fe4c1552c8fd92b0e284b5a5eeb3f76b1c350d753966abbcc6d2ce8a9e8341f5de794 WHIRLPOOL 82064735ebb64b3cac9ac80f31f24524e9180c78b37472189c1aa72baa698a7eec79009e95ae6e26dbda4c3fd77c1b9dc6f949513511f96fe7cf79d25ac37e28
diff --git a/app-portage/gentoolkit/gentoolkit-0.3.1.1.ebuild b/app-portage/gentoolkit/gentoolkit-0.3.1.1.ebuild
new file mode 100644
index 0000000..824f6f7
--- /dev/null
+++ b/app-portage/gentoolkit/gentoolkit-0.3.1.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=(python{2_7,3_3,3_4,3_5} pypy)
+PYTHON_REQ_USE="xml(+),threads(+)"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Collection of administration scripts for Gentoo"
+HOMEPAGE="https://www.gentoo.org/proj/en/portage/tools/index.xml"
+SRC_URI="http://dev.gentoo.org/~dolsen/releases/gentoolkit/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+DEPEND="sys-apps/portage[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}
+ !<=app-portage/gentoolkit-dev-0.2.7
+ || ( >=sys-apps/coreutils-8.15 app-misc/realpath sys-freebsd/freebsd-bin )
+ sys-apps/gawk
+ sys-apps/gentoo-functions
+ sys-apps/grep"
+
+python_prepare_all() {
+ python_setup
+ echo VERSION="${PVR}" "${PYTHON}" setup.py set_version
+ VERSION="${PVR}" "${PYTHON}" setup.py set_version
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ # remove on Gentoo Prefix platforms where it's broken anyway
+ if use prefix; then
+ elog "The revdep-rebuild command is removed, the preserve-libs"
+ elog "feature of portage will handle issues."
+ rm "${ED}"/usr/bin/revdep-rebuild*
+ rm "${ED}"/usr/share/man/man1/revdep-rebuild.1
+ rm -rf "${ED}"/etc/revdep-rebuild
+ rm -rf "${ED}"/var
+ fi
+}
+
+pkg_postinst() {
+ # Create cache directory for revdep-rebuild
+ mkdir -p -m 0755 "${EROOT%/}"/var/cache
+ mkdir -p -m 0700 "${EROOT%/}"/var/cache/revdep-rebuild
+
+ # Only show the elog information on a new install
+ if [[ ! ${REPLACING_VERSIONS} ]]; then
+ elog
+ elog "For further information on gentoolkit, please read the gentoolkit"
+ elog "guide: https://www.gentoo.org/doc/en/gentoolkit.xml"
+ elog
+ elog "Another alternative to equery is app-portage/portage-utils"
+ elog
+ elog "Additional tools that may be of interest:"
+ elog
+ elog " app-admin/eclean-kernel"
+ elog " app-portage/diffmask"
+ elog " app-portage/flaggie"
+ elog " app-portage/install-mask"
+ elog " app-portage/portpeek"
+ elog " app-portage/smart-live-rebuild"
+ fi
+}
next reply other threads:[~2016-06-06 15:54 UTC|newest]
Thread overview: 162+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-06-06 15:54 Brian Dolbec [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-16 16:59 [gentoo-commits] repo/gentoo:master commit in: app-portage/gentoolkit/ Michał Górny
2025-03-06 20:10 Sam James
2024-11-01 1:10 Matt Turner
2024-10-22 1:34 Sam James
2024-09-10 8:10 Jakov Smolić
2024-09-10 2:32 Matt Turner
2024-07-09 14:50 Michał Górny
2024-07-09 14:50 Michał Górny
2024-06-02 21:16 Sam James
2024-05-08 21:44 Sam James
2024-04-25 20:40 Sam James
2024-03-29 4:18 Sam James
2024-03-12 21:46 Sam James
2024-01-19 6:38 Sam James
2024-01-18 21:01 Matt Turner
2024-01-18 21:01 Matt Turner
2024-01-09 0:06 Sam James
2023-12-28 3:53 Sam James
2023-12-23 17:29 Sam James
2023-12-12 8:01 Arthur Zamarin
2023-12-12 8:01 Arthur Zamarin
2023-12-12 8:01 Arthur Zamarin
2023-12-12 8:01 Arthur Zamarin
2023-12-12 8:01 Arthur Zamarin
2023-12-12 8:01 Arthur Zamarin
2023-12-12 8:01 Arthur Zamarin
2023-12-12 8:01 Arthur Zamarin
2023-10-20 0:58 Sam James
2023-10-12 5:04 Sam James
2023-10-03 15:45 Sam James
2023-10-03 15:44 Sam James
2023-08-29 0:39 Sam James
2023-08-27 0:09 Sam James
2023-08-21 5:23 Sam James
2023-03-20 3:51 Sam James
2023-03-20 3:51 Sam James
2022-12-03 12:13 Arthur Zamarin
2022-12-03 12:10 Sam James
2022-12-03 12:10 Sam James
2022-12-03 12:08 Arthur Zamarin
2022-07-12 7:45 Sam James
2022-07-12 0:36 Brian Dolbec
2022-07-10 19:20 Brian Dolbec
2022-05-05 7:10 WANG Xuerui
2022-05-05 7:10 WANG Xuerui
2021-08-17 0:56 Sam James
2021-08-07 20:26 Louis Sautier
2021-05-11 15:45 Sergei Trofimovich
2021-05-09 4:05 Sam James
2021-05-09 4:05 Sam James
2021-05-09 1:31 Sam James
2021-05-09 1:31 Sam James
2021-05-09 1:31 Sam James
2021-05-09 1:29 Sam James
2021-05-09 1:29 Sam James
2021-03-02 3:45 Matt Turner
2021-03-02 3:45 Matt Turner
2021-03-02 3:45 Matt Turner
2021-01-07 15:41 Fabian Groffen
2021-01-06 13:23 Fabian Groffen
2020-12-27 14:01 Fabian Groffen
2020-12-20 17:23 Matt Turner
2020-11-14 0:50 Zac Medico
2020-10-07 9:55 Georgy Yakovlev
2020-09-07 8:47 Sergei Trofimovich
2020-09-06 7:49 Sergei Trofimovich
2020-08-29 23:50 Sam James
2020-08-18 16:52 Agostino Sarubbo
2020-08-18 11:22 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-08-17 14:52 Agostino Sarubbo
2020-08-17 14:52 Agostino Sarubbo
2020-08-17 7:33 Sam James
2020-04-24 9:03 Michał Górny
2020-04-24 9:03 Michał Górny
2020-04-21 21:06 Sergei Trofimovich
2020-04-21 10:13 Mart Raudsepp
2020-04-20 9:52 Agostino Sarubbo
2020-04-20 9:50 Agostino Sarubbo
2020-04-20 9:48 Agostino Sarubbo
2020-04-20 9:46 Agostino Sarubbo
2020-04-20 9:45 Agostino Sarubbo
2020-04-20 9:29 Agostino Sarubbo
2020-04-19 23:55 Sergei Trofimovich
2020-03-12 16:56 Matt Turner
2020-02-26 12:38 Michał Górny
2020-01-26 15:29 Michał Górny
2020-01-26 15:29 Michał Górny
2020-01-26 15:29 Michał Górny
2019-12-16 14:38 Michał Górny
2019-10-11 22:32 Sergei Trofimovich
2019-10-11 20:44 Aaron Bauman
2019-10-06 5:50 Matt Turner
2019-10-04 21:53 Matt Turner
2019-10-03 8:09 Agostino Sarubbo
2019-10-02 18:53 Agostino Sarubbo
2019-09-29 21:00 Sergei Trofimovich
2019-09-29 20:54 Sergei Trofimovich
2019-09-29 19:26 Sergei Trofimovich
2019-09-29 10:47 Mikle Kolyada
2019-09-28 11:27 Sergei Trofimovich
2019-09-21 5:20 Matt Turner
2019-09-20 6:39 Sergei Trofimovich
2019-09-16 22:03 Sergei Trofimovich
2019-09-16 22:02 Sergei Trofimovich
2019-09-16 22:00 Sergei Trofimovich
2019-09-16 7:56 Agostino Sarubbo
2019-09-16 6:52 Agostino Sarubbo
2019-09-15 9:03 Agostino Sarubbo
2019-09-14 3:06 Aaron Bauman
2019-08-29 11:39 David Seifert
2019-08-19 5:07 Zac Medico
2019-05-18 10:02 Michał Górny
2019-05-11 23:56 Virgil Dupras
2019-05-11 23:56 Virgil Dupras
2019-05-11 20:28 Michał Górny
2019-05-04 14:28 Andreas K. Hüttel
2019-04-01 2:08 Virgil Dupras
2019-04-01 2:08 Virgil Dupras
2018-08-07 22:57 Zac Medico
2018-08-07 22:27 Patrice Clement
2018-08-02 15:41 Mike Pagano
2018-06-08 0:07 Mike Frysinger
2018-06-08 0:07 Mike Frysinger
2018-05-27 20:26 Mikle Kolyada
2018-05-26 10:20 Mart Raudsepp
2018-05-25 8:41 Sergei Trofimovich
2018-05-24 21:31 Mikle Kolyada
2018-01-30 7:32 Michał Górny
2018-01-30 7:32 Michał Górny
2018-01-30 7:32 Michał Górny
2018-01-10 4:18 Mike Frysinger
2017-12-12 21:15 Paul Varner
2017-10-17 19:07 Markus Meier
2017-10-12 21:19 Thomas Deutschmann
2017-10-11 18:07 Manuel Rüger
2017-10-08 19:32 Sergei Trofimovich
2017-10-06 10:30 Sergei Trofimovich
2017-10-05 8:05 Sergei Trofimovich
2017-09-02 15:04 Michael Palimaka
2017-06-05 2:01 Benda XU
2017-06-04 22:25 Sergei Trofimovich
2017-05-18 13:09 Michał Górny
2017-04-25 5:00 Jeroen Roovers
2017-03-22 21:33 Brian Dolbec
2017-03-22 18:25 Brian Dolbec
2017-03-17 10:42 Agostino Sarubbo
2017-03-17 10:26 Agostino Sarubbo
2017-03-16 7:28 Michael Weber
2017-02-24 23:14 Michael Weber
2016-12-29 19:12 Paul Varner
2016-12-18 10:58 Zac Medico
2016-12-17 13:26 Aaron Bauman
2016-10-02 8:04 Jeroen Roovers
2016-09-27 18:39 Markus Meier
2016-09-23 17:40 Tobias Klausmann
2016-08-10 8:48 Mike Frysinger
2016-07-08 17:44 Brian Dolbec
2016-03-12 17:36 Mike Gilbert
2015-12-16 18:00 Brian Dolbec
2015-10-15 20:22 Mike Gilbert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1465228050.f2d1584e5dfa37f19d024322fd23592cb15f5819.dolsen@gentoo \
--to=dolsen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox